| Kea 3.0.2-git

dns_client.h File Reference
`#include <asiolink/io_service.h>`
`#include <asiodns/io_fetch.h>`
`#include <d2srv/d2_tsig_key.h>`
`#include <d2srv/d2_update_message.h>`
`#include <util/buffer.h>`
Include dependency graph for dns_client.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::d2::DNSClient::Callback
| Callback for the `DNSClient` class. More...
class | isc::d2::DNSClient
| The `DNSClient` class handles communication with the DNS server. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Typedefs
typedef boost::shared_ptr< DNSClient > | isc::d2::DNSClientPtr